std::random_device(3cxx)

NAME
std::random_device

SYNOPSIS

#include <random.h>

  Public Types

typedef unsigned int result_type

  Public Member Functions

random_device (const random_device &)=delete
random_device (const std::string &__token)
double entropy () const noexcept
result_type operator() ()
void operator= (const random_device &)=delete

  Static Public Member Functions

static constexpr result_type max ()
static constexpr result_type min ()

Detailed Description

A standard interface to a platform-specific non-deterministic random number generator (if any are available).

Definition at line 1597 of file random.h.

Member Typedef Documentation

  typedef unsigned int std::random_device::result_type
The type of the generated random value.

Definition at line 1601 of file random.h.

Constructor & Destructor Documentation

  std::random_device::random_device () [inline]

Definition at line 1614 of file random.h.

  std::random_device::random_device (const std::string & __token) [inline], [explicit]

Definition at line 1617 of file random.h.

Member Function Documentation

  double std::random_device::entropy () const [inline], [noexcept]

Definition at line 1630 of file random.h.

  static constexpr result_type std::random_device::max () [inline], [static], [constexpr]

Definition at line 1626 of file random.h.

  static constexpr result_type std::random_device::min () [inline], [static], [constexpr]

Definition at line 1622 of file random.h.

  result_type std::random_device::operator() () [inline]

Definition at line 1640 of file random.h.

Member Data Documentation

  void* std::random_device::_M_file

Definition at line 1665 of file random.h.

  mt19937 std::random_device::_M_mt

Definition at line 1666 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.